#ifndef __TESTCOMMON_H
#define __TESTCOMMON_H

#include <tlssep.h>

void addDotToPath(void);
void testInit(tlssep_context_t *context, tlssep_status_t expected);
void testWrite(tlssep_desc_t *desc, tlssep_status_t expected);
void testRead(tlssep_desc_t *desc, tlssep_status_t expected);
void testReadRemoteClose(tlssep_desc_t *desc, tlssep_status_t expected);
void testPeek(tlssep_desc_t *desc, tlssep_status_t expected);
void testClose(tlssep_desc_t *desc, tlssep_status_t expected);
void testTerminate(tlssep_context_t *context);

#endif
